# Gimp.Drawable.get_buffer

    @accepts(Gimp.Drawable)
    @returns(Gegl.Buffer)
    def get_buffer(self):
        # Python wrapper for gimp_drawable_get_buffer()

Returns a Gegl.Buffer of a specified drawable. The buffer can be used like any other GEGL buffer. Its data will we synced back with the core drawable when the buffer gets destroyed, or when gegl_buffer_flush() is called.

Since 2.10

self

  the ID of the Gimp.Drawable to get the buffer for.

Returns